{% extends 'base.twig' %}


{% block title %} Dinosaurs - {% endblock %}

{% block content %}

    <a href="/dinosaurs/form">Add a new dinosaur</a>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Birthday</th>
                <th>Model version</th>
                <th>Specie</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
        {% for dino in dinosaurs %}
            <tr>
                <td>{{ dino.name }}</td>
                <td>{{ dino.birthday }}</td>
                <td>{{ dino.model.version }}</td>
                <td>{{ dino.model.specie.name }}</td>
                <td>
                <a href="/dinosaurs/{{ dino.name }}">View</a>
                 <a href="/dinosaurs/form/{{ dino.id }}">Edit</a>
                <a href="/dinosaurs/delete/{{ dino.id }}">Delete</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock content %}